<html>
<head>
<title>Ogre::PropertySet Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PropertySet.html">PropertySet</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PropertySet Class Reference<div class="ingroups"><a class="el" href="group__Property.html">Property</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PropertySet" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Defines a complete set of properties for a single object instance.  
 <a href="classOgre_1_1PropertySet.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PropertySet:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PropertySet__inherit__graph.gif" border="0" usemap="#Ogre_1_1PropertySet_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PropertySet_inherit__map" id="Ogre_1_1PropertySet_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="19,5,117,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PropertySet-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">Ogre::MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a7f4ea40ca663fd32e4833801323033df">PropertyIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a95cb8be54dee5698a4918dd26366b954">PropertySet</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#aa1890e8ea2cd4d2006bba05deb780d3d">~PropertySet</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a6a96a84c9d133c98681f860c7d6565b0">addProperty</a> (<a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a> *prop)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a property to this set.  <a href="#a6a96a84c9d133c98681f860c7d6565b0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a9027bb281c89247158bb01c6ddd6e3f4">getProperty</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the property object for a given property name.  <a href="#a9027bb281c89247158bb01c6ddd6e3f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#af9ebd006562cf7db85fd980eb7f42bb7">hasProperty</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this property set contains a named property.  <a href="#af9ebd006562cf7db85fd980eb7f42bb7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a64e083b8ec8f2b3a3d765a19087c27a8">removeProperty</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes the named property from the property set.  <a href="#a64e083b8ec8f2b3a3d765a19087c27a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PropertySet.html#a7f4ea40ca663fd32e4833801323033df">PropertyIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a4a58972641e00032302d0a6ad2cb379f">getPropertyIterator</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the available properties.  <a href="#a4a58972641e00032302d0a6ad2cb379f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">PropertyValueMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a67e4dd796f8b783ee7e10ba9a72a9098">getValueMap</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an independently usable collection of property values from the current state.  <a href="#a67e4dd796f8b783ee7e10ba9a72a9098"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a1802e0952c27d9acb3c3f25dfd4354e7">setValueMap</a> (const <a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">PropertyValueMap</a> &amp;values)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the current state from a given value map.  <a href="#a1802e0952c27d9acb3c3f25dfd4354e7"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#aa19819ce458a54241ff460edc7bcda21">getValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, T &amp;value) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a named property value.  <a href="#aa19819ce458a54241ff460edc7bcda21"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#ac5bbedd1543d61b98f23a102ddb3bc6a">setValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const T *value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a named property value (via pointer to avoid copy).  <a href="#ac5bbedd1543d61b98f23a102ddb3bc6a"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a7dd1b0cfb09db83e1c4841136ff7f908">setValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, T value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a named property value.  <a href="#a7dd1b0cfb09db83e1c4841136ff7f908"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#ae7a113c3e91c7c8e33087f5c4d0e750e">setValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const char *pChar)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Special-case char*, convert to String automatically.  <a href="#ae7a113c3e91c7c8e33087f5c4d0e750e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#a157fa940092747d4ed140a4842112305">setPropertyImpl</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const T &amp;val, <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> typeCheck)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a named property value, internal implementation (type match required)  <a href="#a157fa940092747d4ed140a4842112305"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#ac49eb97615bc2c15528588d921b3667e">getPropertyImpl</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, T &amp;refVal, <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a> typeCheck) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a named property value, internal implementation (type match required)  <a href="#ac49eb97615bc2c15528588d921b3667e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html#ab11d302034431f15797e8dbb1a2e8de6">mPropertyMap</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines a complete set of properties for a single object instance. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00279">279</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a7f4ea40ca663fd32e4833801323033df"></a><!-- doxytag: member="Ogre::PropertySet::PropertyIterator" ref="a7f4ea40ca663fd32e4833801323033df" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">Ogre::MapIterator</a>&lt;<a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a>&gt; <a class="el" href="classOgre_1_1PropertySet.html#a7f4ea40ca663fd32e4833801323033df">Ogre::PropertySet::PropertyIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00307">307</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1db21116c18716df1bf043042e1e07c7"></a><!-- doxytag: member="Ogre::PropertySet::PropertyMap" ref="a1db21116c18716df1bf043042e1e07c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a>*&gt;::type <a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">Ogre::PropertySet::PropertyMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00306">306</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a95cb8be54dee5698a4918dd26366b954"></a><!-- doxytag: member="Ogre::PropertySet::PropertySet" ref="a95cb8be54dee5698a4918dd26366b954" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertySet.html#a95cb8be54dee5698a4918dd26366b954">Ogre::PropertySet::PropertySet</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa1890e8ea2cd4d2006bba05deb780d3d"></a><!-- doxytag: member="Ogre::PropertySet::~PropertySet" ref="aa1890e8ea2cd4d2006bba05deb780d3d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertySet.html#aa1890e8ea2cd4d2006bba05deb780d3d">Ogre::PropertySet::~PropertySet</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6a96a84c9d133c98681f860c7d6565b0"></a><!-- doxytag: member="Ogre::PropertySet::addProperty" ref="a6a96a84c9d133c98681f860c7d6565b0" args="(PropertyBase *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#a6a96a84c9d133c98681f860c7d6565b0">Ogre::PropertySet::addProperty</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a> *&#160;</td>
          <td class="paramname"><em>prop</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a property to this set. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1PropertySet.html" title="Defines a complete set of properties for a single object instance.">PropertySet</a> is responsible for deleting this object. </dd></dl>

</div>
</div>
<a class="anchor" id="a9027bb281c89247158bb01c6ddd6e3f4"></a><!-- doxytag: member="Ogre::PropertySet::getProperty" ref="a9027bb281c89247158bb01c6ddd6e3f4" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertyBase.html">PropertyBase</a>* <a class="el" href="classOgre_1_1PropertySet.html#a9027bb281c89247158bb01c6ddd6e3f4">Ogre::PropertySet::getProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the property object for a given property name. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that this property will need to be cast to a templated property compatible with the type you will be setting. You might find the overloaded set and get&lt;type&gt; methods quicker if you already know the type. </dd></dl>

</div>
</div>
<a class="anchor" id="ac49eb97615bc2c15528588d921b3667e"></a><!-- doxytag: member="Ogre::PropertySet::getPropertyImpl" ref="ac49eb97615bc2c15528588d921b3667e" args="(const String &amp;name, T &amp;refVal, PropertyType typeCheck) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#ac49eb97615bc2c15528588d921b3667e">Ogre::PropertySet::getPropertyImpl</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>refVal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td>
          <td class="paramname"><em>typeCheck</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a named property value, internal implementation (type match required) </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00371">371</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00111">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreProperty_8h_source.html#l00207">Ogre::PropertyBase::getType()</a>, and <a class="el" href="classOgre_1_1PropertyDef.html#a2b117f9bd3d234cf2df0facd2b698bb5">Ogre::PropertyDef::getTypeName()</a>.</p>

</div>
</div>
<a class="anchor" id="a4a58972641e00032302d0a6ad2cb379f"></a><!-- doxytag: member="Ogre::PropertySet::getPropertyIterator" ref="a4a58972641e00032302d0a6ad2cb379f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertySet.html#a7f4ea40ca663fd32e4833801323033df">PropertyIterator</a> <a class="el" href="classOgre_1_1PropertySet.html#a4a58972641e00032302d0a6ad2cb379f">Ogre::PropertySet::getPropertyIterator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the available properties. </p>

</div>
</div>
<a class="anchor" id="aa19819ce458a54241ff460edc7bcda21"></a><!-- doxytag: member="Ogre::PropertySet::getValue" ref="aa19819ce458a54241ff460edc7bcda21" args="(const String &amp;name, T &amp;value) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#aa19819ce458a54241ff460edc7bcda21">Ogre::PropertySet::getValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a named property value. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00323">323</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00161">Ogre::PropertyDef::getTypeForValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a67e4dd796f8b783ee7e10ba9a72a9098"></a><!-- doxytag: member="Ogre::PropertySet::getValueMap" ref="a67e4dd796f8b783ee7e10ba9a72a9098" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">PropertyValueMap</a> <a class="el" href="classOgre_1_1PropertySet.html#a67e4dd796f8b783ee7e10ba9a72a9098">Ogre::PropertySet::getValueMap</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an independently usable collection of property values from the current state. </p>

</div>
</div>
<a class="anchor" id="af9ebd006562cf7db85fd980eb7f42bb7"></a><!-- doxytag: member="Ogre::PropertySet::hasProperty" ref="af9ebd006562cf7db85fd980eb7f42bb7" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1PropertySet.html#af9ebd006562cf7db85fd980eb7f42bb7">Ogre::PropertySet::hasProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this property set contains a named property. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PropertySet::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PropertySet::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PropertySet::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PropertySet::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PropertySet::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PropertySet::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PropertySet::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PropertySet::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PropertySet::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PropertySet::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a64e083b8ec8f2b3a3d765a19087c27a8"></a><!-- doxytag: member="Ogre::PropertySet::removeProperty" ref="a64e083b8ec8f2b3a3d765a19087c27a8" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#a64e083b8ec8f2b3a3d765a19087c27a8">Ogre::PropertySet::removeProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes the named property from the property set. </p>

</div>
</div>
<a class="anchor" id="a157fa940092747d4ed140a4842112305"></a><!-- doxytag: member="Ogre::PropertySet::setPropertyImpl" ref="a157fa940092747d4ed140a4842112305" args="(const String &amp;name, const T &amp;val, PropertyType typeCheck)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#a157fa940092747d4ed140a4842112305">Ogre::PropertySet::setPropertyImpl</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">PropertyType</a>&#160;</td>
          <td class="paramname"><em>typeCheck</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a named property value, internal implementation (type match required) </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00356">356</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00111">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreProperty_8h_source.html#l00207">Ogre::PropertyBase::getType()</a>, and <a class="el" href="classOgre_1_1PropertyDef.html#a2b117f9bd3d234cf2df0facd2b698bb5">Ogre::PropertyDef::getTypeName()</a>.</p>

</div>
</div>
<a class="anchor" id="ac5bbedd1543d61b98f23a102ddb3bc6a"></a><!-- doxytag: member="Ogre::PropertySet::setValue" ref="ac5bbedd1543d61b98f23a102ddb3bc6a" args="(const String &amp;name, const T *value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#ac5bbedd1543d61b98f23a102ddb3bc6a">Ogre::PropertySet::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a named property value (via pointer to avoid copy). </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00331">331</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00161">Ogre::PropertyDef::getTypeForValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a7dd1b0cfb09db83e1c4841136ff7f908"></a><!-- doxytag: member="Ogre::PropertySet::setValue" ref="a7dd1b0cfb09db83e1c4841136ff7f908" args="(const String &amp;name, T value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#ac5bbedd1543d61b98f23a102ddb3bc6a">Ogre::PropertySet::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a named property value. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00338">338</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00161">Ogre::PropertyDef::getTypeForValue()</a>.</p>

</div>
</div>
<a class="anchor" id="ae7a113c3e91c7c8e33087f5c4d0e750e"></a><!-- doxytag: member="Ogre::PropertySet::setValue" ref="ae7a113c3e91c7c8e33087f5c4d0e750e" args="(const String &amp;name, const char *pChar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#ac5bbedd1543d61b98f23a102ddb3bc6a">Ogre::PropertySet::setValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pChar</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Special-case char*, convert to String automatically. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00344">344</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

<p>References <a class="el" href="OgreProperty_8h_source.html#l00119">Ogre::PROP_STRING</a>.</p>

</div>
</div>
<a class="anchor" id="a1802e0952c27d9acb3c3f25dfd4354e7"></a><!-- doxytag: member="Ogre::PropertySet::setValueMap" ref="a1802e0952c27d9acb3c3f25dfd4354e7" args="(const PropertyValueMap &amp;values)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PropertySet.html#a1802e0952c27d9acb3c3f25dfd4354e7">Ogre::PropertySet::setValueMap</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">PropertyValueMap</a> &amp;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the current state from a given value map. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab11d302034431f15797e8dbb1a2e8de6"></a><!-- doxytag: member="Ogre::PropertySet::mPropertyMap" ref="ab11d302034431f15797e8dbb1a2e8de6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PropertySet.html#a1db21116c18716df1bf043042e1e07c7">PropertyMap</a> <a class="el" href="classOgre_1_1PropertySet.html#ab11d302034431f15797e8dbb1a2e8de6">Ogre::PropertySet::mPropertyMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00352">352</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
